<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.2) on Mon Apr 13 15:28:25 EEST 2020 -->
<title>C-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-13">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="../model/Client.html" title="class in model"><span class="typeNameLink">Client</span></a> - Class in <a href="../model/package-summary.html">model</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#%3Cinit%3E()">Client()</a></span> - Constructor for class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#%3Cinit%3E(int,java.lang.String,java.lang.String)">Client(int, String, String)</a></span> - Constructor for class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#%3Cinit%3E(java.lang.String,java.lang.String)">Client(String, String)</a></span> - Constructor for class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>
<div class="block">Constructorul clase Client.</div>
</dd>
<dt><a href="../bll/ClientBLL.html" title="class in bll"><span class="typeNameLink">ClientBLL</span></a> - Class in <a href="../bll/package-summary.html">bll</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../bll/ClientBLL.html#%3Cinit%3E()">ClientBLL()</a></span> - Constructor for class bll.<a href="../bll/ClientBLL.html" title="class in bll">ClientBLL</a></dt>
<dd>
<div class="block">Constructorul clasei clientBLL, unde este initializat ClientDAO</div>
</dd>
<dt><span class="memberNameLink"><a href="../bll/ClientBLL.html#clientDAO">clientDAO</a></span> - Variable in class bll.<a href="../bll/ClientBLL.html" title="class in bll">ClientBLL</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../dao/ClientDAO.html" title="class in dao"><span class="typeNameLink">ClientDAO</span></a> - Class in <a href="../dao/package-summary.html">dao</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../dao/ClientDAO.html#%3Cinit%3E()">ClientDAO()</a></span> - Constructor for class dao.<a href="../dao/ClientDAO.html" title="class in dao">ClientDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/PdfGenerator.html#createBill(model.Order,java.util.List,bll.ClientBLL,bll.ProductBLL)">createBill(Order, List&lt;OrderItem&gt;, ClientBLL, ProductBLL)</a></span> - Method in class presentation.<a href="../presentation/PdfGenerator.html" title="class in presentation">PdfGenerator</a></dt>
<dd>
<div class="block">Creeaza o chitanta pentru o comanda.</div>
</dd>
<dt><span class="memberNameLink"><a href="../dao/AbstractDAO.html#createObjects(java.sql.ResultSet)">createObjects(ResultSet)</a></span> - Method in class dao.<a href="../dao/AbstractDAO.html" title="class in dao">AbstractDAO</a></dt>
<dd>
<div class="block">Meotda foloseste tehnica "reflection" pentru a converti
 <code>ResultSet</code> intr-o lista de obiecte</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation/FileParser.html#createReportClient()">createReportClient()</a></span> - Method in class presentation.<a href="../presentation/FileParser.html" title="class in presentation">FileParser</a></dt>
<dd>
<div class="block">Se genereaza pdf-ul ce contine un tabel cu clientii din baza de date, 
 de la momentul respectiv.</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation/FileParser.html#createReportOrder()">createReportOrder()</a></span> - Method in class presentation.<a href="../presentation/FileParser.html" title="class in presentation">FileParser</a></dt>
<dd>
<div class="block">Se genereaza pdf-ul ce contine un tabel cu comenzile din baza de date, 
 de la momentul respectiv.</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation/FileParser.html#createReportProduct()">createReportProduct()</a></span> - Method in class presentation.<a href="../presentation/FileParser.html" title="class in presentation">FileParser</a></dt>
<dd>
<div class="block">Se genereaza pdf-ul ce contine un tabel cu produsele din baza de date, 
 de la momentul respectiv.</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation/PdfGenerator.html#createTable(java.lang.String,int,java.util.List,int)">createTable(String, int, List&lt;T&gt;, int)</a></span> - Method in class presentation.<a href="../presentation/PdfGenerator.html" title="class in presentation">PdfGenerator</a></dt>
<dd>
<div class="block">Creeaza un pdf in care se scrie tabelul</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation/PdfGenerator.html#createWarningPdf(java.lang.String,java.lang.String)">createWarningPdf(String, String)</a></span> - Method in class presentation.<a href="../presentation/PdfGenerator.html" title="class in presentation">PdfGenerator</a></dt>
<dd>
<div class="block">Creeaza un fisier in format pdf ce contine mesajele de warning in cazul in 
 care ceva nu a mers bine in timpul comenzii de ORDER</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
